/**
 * @file
 * Site Tour custom js file.
 */
var tour;
(function ($, Drupal, drupalSettings) {
  var flag = false; 
  Drupal.behaviors.sitetour = {
    attach: function (context, settings) {
      if(!flag) {
        tour = drupalSettings.sitetour.data.tour;
        var title = Drupal.behaviors.sitetour.getCookie(tour.title); 
        init = function() {
          if(title == "" || title == "undefined") {
            hopscotch.startTour(tour);
          } 
        };
        flag = true;
        init();
      }
    }
  };
  Drupal.behaviors.sitetour.setCookie = function(cname, cvalue, exdays) {    
    var d = new Date();
    d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
    var expires = "expires="+d.toUTCString();    
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
  };
  Drupal.behaviors.sitetour.getCookie = function(cname) {
    var name = cname + "=";
    var decodedCookie = decodeURIComponent(document.cookie);
    var ca = decodedCookie.split(';');    
    for(var i = 0; i <ca.length; i++) {
      var c = ca[i];
      while (c.charAt(0) == ' ') {
        c = c.substring(1);
      }
      if (c.indexOf(name) == 0) {
        return c.substring(name.length, c.length);
      }
    }
    return "";
  };
})(jQuery, Drupal, drupalSettings);

function tourstatus() {
  var cname = tour.title;
  var cvalue = 1;
  var exdays = 365
  var tourcheckbox = document.getElementById("tourcheckbox");
  if(tourcheckbox) {
    var status = document.getElementById("tourcheckbox").checked;
    if(status) {    
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));    
      var expires = "expires="+d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }
  }
    
}
